/// <reference types="react" />
import { IUploadItemProps, IUploadFileItem } from '../types';
export declare function useItemHandler<UPLOAD_ITEM extends IUploadFileItem>(props: IUploadItemProps<UPLOAD_ITEM>): {
    deleteHandler: import("react").MouseEventHandler<Element>;
    retryHandler: import("react").MouseEventHandler<Element>;
};
